/usr/local install not found by audacious-plugins ./configure

September 29, 2012 06:47 - dontregister dontregister

Status: Rejected Start date: September 29, 2012

Priority: Minor Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Affects version: 3.3.2   

Description

So, I downloaded the tar.gz for audacious and audacious-plugins, extracted them into their folders and started compiling

audacious-3.3.2. ./configure says it's going to install into /usr/local (see attached), "make" runs without errors and so does "make

install". I then go into audacious-plugins-3.3.2, start ./configure and it complains that audacious is not installed (see attached). So I

"make uninstall" audacious. After trying different things, I finally use "./configure --prefix /usr/" for audacious, reinstall and

audacious-plugins ./configure works.

I don't know whether I have a problem with my global variables (or configs etc.), or there is a problem with the plugins configure.ac. If

you can't reproduce this, I may have to look more carefully. Any pointers would be helpful.

I'm using Sabayon 10 kde i686. (Sabayon packages 3.3.0, but I have uninstalled it.)

(PS: I trimmed the configure outputs, let me know if you need the whole thing.)

History

#1 - September 29, 2012 15:59 - John Lindgren

audacious-plugins uses pkg-config to detect whether Audacious is installed.  Have you set up pkg-config to look for .pc files under /usr/local?

For example:

$ export LD_LIBRARY_PATH=/usr/local/lib

$ export PKG_CONFIG_PATH=/usr/local/lib/pkgconfig

Also, you should ask on the forums first for help with building Audacious, until you are sure that the problem is caused by a bug in the build scripts

rather than by user error.

#2 - September 29, 2012 18:14 - dontregister dontregister

Yes, that was it. Sorry about the erroneous bug report.

#3 - September 30, 2012 21:56 - John Lindgren

- Status changed from New to Rejected

Files

audacious_conf_log.txt 954 BytesSeptember 29, 2012 dontregister dontregister

audacious-plugins_conf_log.txt 108 BytesSeptember 29, 2012 dontregister dontregister
